Name:		qsynth
Version:	0.4.3
Release:	%mkrel 1
Summary:	Qt GUI Interface for FluidSynth
License:	GPLv2+
Group:		Sound/Midi
URL:		http://qsynth.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qsynth/%{name}-%{version}.tar.gz

BuildRequires:	qttools5
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

Requires:	fluidsynth

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt5 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

%build
%configure2_5x \
	--localedir=%{_datadir}/%{name}/translations \
	--enable-debug

%make_build

%install
%make_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/*/*/*/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Nov 17 2016 daviddavid <daviddavid> 0.4.3-1.mga6
+ Revision: 1067995
- new version: 0.4.3

* Tue Sep 20 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 1054701
- new version: 0.4.2

* Wed Apr 06 2016 daviddavid <daviddavid> 0.4.1-2.mga6
+ Revision: 998850
- remove no more needed autoreconf

* Wed Apr 06 2016 daviddavid <daviddavid> 0.4.1-1.mga6
+ Revision: 998834
- new version: 0.4.1
- remove merged upstream patch

* Tue Mar 15 2016 daviddavid <daviddavid> 0.4.0-3.mga6
+ Revision: 990899
- rediff Qt5.5_build patch (since fixed autopatch)

* Mon Jan 11 2016 daviddavid <daviddavid> 0.4.0-2.mga6
+ Revision: 921636
- add upstream patch to fix build with Qt5.5 or higher
  * https://sourceforge.net/p/qsynth/tickets/11/

* Mon Sep 07 2015 daviddavid <daviddavid> 0.4.0-1.mga6
+ Revision: 873912
- new version: 0.4.0
- switch BuildRequires to pkgconfig()
- add category "X-Mageia-CrossDesktop" on desktop file
- add doc files

* Sat Sep 05 2015 daviddavid <daviddavid> 0.3.9-5.mga6
+ Revision: 872964
- build with Qt5

* Thu Aug 27 2015 ycantin <ycantin> 0.3.9-1.mga6
+ Revision: 870344
- new version 0.3.9
- fix file list
- enable debug for debuginfo package

* Mon Dec 08 2014 wally <wally> 0.3.8-1.mga5
+ Revision: 802235
- new version 0.3.8

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.6-4.mga4
+ Revision: 517898
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.6-3.mga3
+ Revision: 379914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.3.6-2.mga3
+ Revision: 333519
- change group to new policy

* Fri Apr 15 2011 shikamaru <shikamaru> 0.3.6-1.mga1
+ Revision: 85879
- new version 0.3.6 - retab - fix file list

  + andre999 <andre999>
    - imported package qsynth

